function[F,D]=viewdata(name)
F=0;
pos=strfind(name,'.exd.');
if (numel(pos)<1) fprintf(1,'Not a data name "%s"',name); return; end;

pos=max(pos)-1;
detname=[name(1:pos) ,'.rcv'];  


fd=fopen(detname,'r');
if(fd<0);  fprintf(1,'No file "%s"',detname); return; end;
D=fread(fd,inf,'short');
fclose(fd);
D=reshape(D,2,numel(D)/2);
D_Align=size(D,2);
D_Align=D_Align+31;
D_Align=D_Align-mod(D_Align,32);

A=atan2(D(1,:),D(2,:));
[A,I]=sort(A);

fd=fopen(name,'r');
if(fd<0);  fprintf(1,'No file "%s"',name); return; end;
F=fread(fd,inf,'float');
fclose(fd);
if(mod(numel(F),D_Align)); 
    fprintf(1,'Unsupported data'); 
    F=0; return;
end;
F=reshape(F,[D_Align,numel(F)/D_Align]);
F=F(I,:);
figure; imagesc(F');colorbar;
ylabel('time frames');
xlabel('detectors');



