#pragma once

#ifdef TARGET_ARM
static inline uint64_t Rdtsc()
{ uint64_t count_num; __asm__ __volatile__("mrs %0, cntvct_el0" : "=r" (count_num)); return count_num; }

#else
#ifdef TARGET_WINDOWS
#include <intrin.h>
#else
#include <x86intrin.h>
#endif
static inline cl_ulong Rdtsc() { return __rdtsc(); } // defined in intrin.h in vectorclass.h

#endif

